Debian Bug report logs - #504668
firmware-nonfree: Add License handler in gencontrol.py

version graph

Package: firmware-nonfree; Maintainer for firmware-nonfree is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Frank Lin PIAT <fpiat@bigfoot.com>

Date: Thu, 6 Nov 2008 00:51:02 UTC

Severity: normal

Tags: patch

Fixed in version firmware-nonfree/0.14

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, fpiat@bigfoot.com, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#504668; Package firmware-nonfree. (Thu, 06 Nov 2008 00:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Lin PIAT <fpiat@bigfoot.com>:
New Bug report received and forwarded. Copy sent to fpiat@bigfoot.com, Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 06 Nov 2008 00:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frank Lin PIAT <fpiat@bigfoot.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: firmware-nonfree: Add License handler in gencontrol.py
Date: Thu, 06 Nov 2008 01:47:25 +0100
[Message part 1 (text/plain, inline)]
Package: firmware-nonfree
Severity: normal
Tags: patch

The two patches attaches allow gencontrol.py to handle licenses
in a way that complies with ipw2100 and ipw2200 firmware license.

The patch links.diff implements a "links" entry in the firmware's
define file. That entry is a list of source:target that is used
by gencontrol.py to generate ./debian/firmware-foobar.links

The patch license.diff implements license=[required|no-preseed]
and license_name entry in the firmware's define file.
When used, those fields are used to generate a preinst script 
that present the license to the user.
If license=no-preseed, then the license acceptation can't be
accepted by using Debconf preseeding (!).

Franklin

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (200, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[links.diff (text/x-diff, attachment)]
[license.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#504668; Package firmware-nonfree. (Fri, 07 Nov 2008 23:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Lin PIAT <fpiat@klabs.be>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 07 Nov 2008 23:42:02 GMT) Full text and rfc822 format available.

Message #10 received at 504668@bugs.debian.org (full text, mbox):

From: Frank Lin PIAT <fpiat@klabs.be>
To: 504668@bugs.debian.org
Subject: Re: Bug#504668: firmware-nonfree: Add License handler in gencontrol.py
Date: Sat, 08 Nov 2008 00:36:33 +0100
On Thu, 2008-11-06 at 01:47 +0100, Frank Lin PIAT wrote:
> The patch license.diff implements license=[required|no-preseed]
> and license_name entry in the firmware's define file.
> When used, those fields are used to generate a preinst script 
> that present the license to the user.

Note: If one gets the firmware-ipw2100 packages, then copy it on a usb
key to provide the package to Debian-Installer (when DI detects the Wifi
card), then the "preinst" script isn't displayed.

Which means that the license isn't "accepted". This behaviour shouldn't
be a problem for ipw2100/ipw2200, since the license's FAQ handle this
case (see Bug #504671 and 449235)

Franklin





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#504668; Package firmware-nonfree. (Sun, 09 Nov 2008 22:18:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 09 Nov 2008 22:18:16 GMT) Full text and rfc822 format available.

Message #15 received at 504668@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Frank Lin PIAT <fpiat@bigfoot.com>, 504668@bugs.debian.org
Subject: Re: Bug#504668: firmware-nonfree: Add License handler in gencontrol.py
Date: Sun, 9 Nov 2008 23:14:09 +0100
On Thu, Nov 06, 2008 at 01:47:25AM +0100, Frank Lin PIAT wrote:
> The patch links.diff implements a "links" entry in the firmware's
> define file. That entry is a list of source:target that is used
> by gencontrol.py to generate ./debian/firmware-foobar.links

No need to do it this way, just add a file in the debian dir.

> The patch license.diff implements license=[required|no-preseed]
> and license_name entry in the firmware's define file.
> When used, those fields are used to generate a preinst script 
> that present the license to the user.
> If license=no-preseed, then the license acceptation can't be
> accepted by using Debconf preseeding (!).

This patch is not acceptable, will take a look.

Bastian

-- 
Ahead warp factor one, Mr. Sulu.




Tags added: pending Request was from Bastian Blank <waldi@alioth.debian.org> to control@bugs.debian.org. (Fri, 28 Nov 2008 11:57:10 GMT) Full text and rfc822 format available.

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. (Wed, 03 Dec 2008 22:57:14 GMT) Full text and rfc822 format available.

Notification sent to Frank Lin PIAT <fpiat@bigfoot.com>:
Bug acknowledged by developer. (Wed, 03 Dec 2008 22:57:14 GMT) Full text and rfc822 format available.

Message #22 received at 504668-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 504668-close@bugs.debian.org
Subject: Bug#504668: fixed in firmware-nonfree 0.14
Date: Wed, 03 Dec 2008 22:42:22 +0000
Source: firmware-nonfree
Source-Version: 0.14

We believe that the bug you reported is fixed in the latest version of
firmware-nonfree, which is due to be installed in the Debian FTP archive:

firmware-bnx2_0.14_all.deb
  to pool/non-free/f/firmware-nonfree/firmware-bnx2_0.14_all.deb
firmware-ipw2x00_0.14_all.deb
  to pool/non-free/f/firmware-nonfree/firmware-ipw2x00_0.14_all.deb
firmware-iwlwifi_0.14_all.deb
  to pool/non-free/f/firmware-nonfree/firmware-iwlwifi_0.14_all.deb
firmware-nonfree_0.14.dsc
  to pool/non-free/f/firmware-nonfree/firmware-nonfree_0.14.dsc
firmware-nonfree_0.14.tar.gz
  to pool/non-free/f/firmware-nonfree/firmware-nonfree_0.14.tar.gz
firmware-qlogic_0.14_all.deb
  to pool/non-free/f/firmware-nonfree/firmware-qlogic_0.14_all.deb
firmware-ralink_0.14_all.deb
  to pool/non-free/f/firmware-nonfree/firmware-ralink_0.14_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 504668@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated firmware-nonfree package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 02 Dec 2008 18:07:12 +0100
Source: firmware-nonfree
Binary: firmware-bnx2 firmware-ipw2x00 firmware-iwlwifi firmware-qlogic firmware-ralink
Architecture: source all
Version: 0.14
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 firmware-bnx2 - Binary firmware for Broadcom NetXtremeII
 firmware-ipw2x00 - Binary firmware for Intel Pro Wireless 2100, 2200 and 2915
 firmware-iwlwifi - Binary firmware for Intel Wireless 3945 and 4965
 firmware-qlogic - Binary firmware for QLogic QLA2XXX
 firmware-ralink - Binary firmware for Ralink RT2561, RT2571, RT2661 and RT2671 wire
Closes: 449235 504668 504671
Changes: 
 firmware-nonfree (0.14) unstable; urgency=low
 .
   * Generate license acceptation prompt, based on sun-java5. (closes: #504668)
   * Add Intel Pro 2100 firwmare, version 1.3. (closes: #504671)
   * Add Intel Pro 2200/2915 firwmare, version 3.0. (closes: #449235)
Checksums-Sha1: 
 7029717853f68a8e4d4a91288cd7320e536766cf 1107 firmware-nonfree_0.14.dsc
 91aae6ef3dfe2be676fbe708b336b7c834b431b9 1281829 firmware-nonfree_0.14.tar.gz
 183887c86acae946a05786029c3b7e941c6c1fed 105312 firmware-bnx2_0.14_all.deb
 e6387d347d10cac9647acd1d4c7317fb52766d01 519622 firmware-ipw2x00_0.14_all.deb
 adf99db78a2ae1fd96e8006d58bd1656ee704775 223788 firmware-iwlwifi_0.14_all.deb
 58c89e3314853c28940fb0d807e2de6d5ee1e5c7 415896 firmware-qlogic_0.14_all.deb
 326032ce8a450bd6afef1cd2727c0348e52239fc 11698 firmware-ralink_0.14_all.deb
Checksums-Sha256: 
 7a43f7dd4c3c66b7dbcb23d9c1cb37d7f9aec36ae740b7049dedf91d054ed8d9 1107 firmware-nonfree_0.14.dsc
 21eb0cdb70c9703facec99702acc528d402ee60d9df00cba7ba1f6782002a88b 1281829 firmware-nonfree_0.14.tar.gz
 aa9532addaf376902dc880a71a3632d9f877c27cf62c95841ea077acb897349b 105312 firmware-bnx2_0.14_all.deb
 160e9e14074d269e963baa8432be4df5e10a62735fddfb32f045a103f970f375 519622 firmware-ipw2x00_0.14_all.deb
 56ccec13accc373a994f44a5e3ecbe9f4f3b58371a505db71174b3fab6d8b77c 223788 firmware-iwlwifi_0.14_all.deb
 13e5ce82984d7df3c202d48c70c5c1e541d53afead1365353c856501e3290552 415896 firmware-qlogic_0.14_all.deb
 eb93d9da29217af2a4ac9db723bd56b8f281157891effc785470d4cfa1970de4 11698 firmware-ralink_0.14_all.deb
Files: 
 693f9c8d093429ecd2e978935fa190a8 1107 non-free/admin optional firmware-nonfree_0.14.dsc
 faf59942e8da6821ff9b1b800f5ed1c9 1281829 non-free/admin optional firmware-nonfree_0.14.tar.gz
 e913bc936a8ca754d72aa91291f229dd 105312 non-free/admin optional firmware-bnx2_0.14_all.deb
 91737f5f83dbc71d1c93c17d7f155b73 519622 non-free/admin optional firmware-ipw2x00_0.14_all.deb
 b5ddd638c4cd04267cb88fa0a001caa5 223788 non-free/admin optional firmware-iwlwifi_0.14_all.deb
 4fdb341a9d7375d9b373b782cf8dc74c 415896 non-free/admin optional firmware-qlogic_0.14_all.deb
 89c8a7381fca91b4bca7c9b0812f3f68 11698 non-free/admin optional firmware-ralink_0.14_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iEYEARECAAYFAkk1bDAACgkQLkAIIn9ODhHPjwCcDKZnqz0ZPzqjI7s4Pj+Zpo+1
HUcAoMUj1nBCLZtvOuCjhdMLk9lAqsWX
=/BzE
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 02 Feb 2009 07:28:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:23:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.